## python-pgq 3.5

=== Makefile ===

all:

clean:
	rm -rf build *.egg-info */__pycache__ tests/*.pyc
	rm -rf debian/python-* debian/files debian/*.log
	rm -rf debian/*.substvars debian/*.debhelper debian/*-stamp
	rm -rf .pybuild MANIFEST

deb:
	debuild -us -uc -b

xclean: clean
	rm -rf .tox dist

test:
	TEST_DB_NAME=testdb TEST_Q_NAME=testq PGHOST=/tmp PGPORT=5120 tox -e py38

VERSION = $(shell python3 setup.py --version)
RXVERSION = $(shell python3 setup.py --version | sed 's/\./[.]/g')
TAG = v$(VERSION)

checkver:
	@echo "Checking version"
	@grep -qE '^## [-_a-z0-9]+ $(RXVERSION)\b' NEWS.md \
	|| { echo "Version '$(VERSION)' not in NEWS.md"; exit 1; }
	@head debian/changelog | grep -q '[(]$(RXVERSION)-' debian/changelog \
	|| { echo "Version '$(VERSION)' not in debian/changelog"; exit 1; }
	@echo "Checking git repo"
	@git diff --stat --exit-code || { echo "ERROR: Unclean repo"; exit 1; }

release: checkver
	git tag $(TAG)
	git push github $(TAG):$(TAG)

TGZ = dist/pgq-$(VERSION).tar.gz
URL = https://github.com/pgq/python-pgq/releases/download/v$(VERSION)/pgq-$(VERSION).tar.gz

upload:
	mkdir -p dist && rm -f dist/*
	cd dist && wget -q $(URL)
	tar tvf $(TGZ)
	twine upload dist/*.gz

## python-pgq 3.3.0

=== debian/changelog ===
python-pgq (3.3.0-2) unstable; urgency=medium

  * Remove pgq.egg-info/ on clean.
  * Add debian/gitlab-ci.yml.
  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 12:53:24 +0100

python-pgq (3.3.0-1) unstable; urgency=medium

  * Initial Debian upload.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Feb 2018 14:52:49 +0100

=== debian/control ===
Source: python-pgq
Section: python
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.3.0
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-psycopg2,
 python3-setuptools,
 python3-skytools,
X-Python3-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/postgresql/python-pgq.git
Vcs-Browser: https://salsa.debian.org/postgresql/python-pgq
Homepage: https://github.com/pgq/python-pgq

Package: python3-pgq
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: PgQ queue processing for Python
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the Python3 module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pgq

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/pgq/python-pgq/releases .*/v(.*).tar.gz

## python-pgq 3.5~20220624.1101-2~3.git1f199dd~pgdg18.04+1

=== debian/changelog ===
python-pgq (3.5~20220624.1101-2~3.git1f199dd~pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 05 Aug 2020 13:12:28 +0200

python-pgq (3.5-2) unstable; urgency=medium

  * Restrict watch file to look at git tarballs only.
  * Remove ancient X-Python3-Version field.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Aug 2020 13:12:28 +0200

python-pgq (3.5-1) unstable; urgency=medium

  [ Christoph Berg ]
  * New upstream version.
  * DH 13.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 10.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 12:57:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-psycopg2,
  python3-setuptools,
  python3-skytools,
-X-Python3-Version: >= 3.5
 Vcs-Git: https://salsa.debian.org/postgresql/python-pgq.git
 Vcs-Browser: https://salsa.debian.org/postgresql/python-pgq
 Homepage: https://github.com/pgq/python-pgq

## python-pgq 3.5~20220624.1101-2~3.git1f199dd~pgdg20.04+1

=== debian/changelog ===
python-pgq (3.5~20220624.1101-2~3.git1f199dd~pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 05 Aug 2020 13:12:28 +0200

## python-pgq 3.5~20220624.1101-2~3.git1f199dd~pgdg90+1

=== debian/changelog ===
python-pgq (3.5~20220624.1101-2~3.git1f199dd~pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 05 Aug 2020 13:12:28 +0200

## python-pgq 3.5~20220624.1102-2~3.git1f199dd~pgdg110+1

=== debian/changelog ===
python-pgq (3.5~20220624.1102-2~3.git1f199dd~pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 05 Aug 2020 13:12:28 +0200

## python-pgq 3.5

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-psycopg2,

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,4 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+

=== debian/watch ===
version=4
https://github.com/pgq/python-pgq/releases .*/v([^/]*).tar.gz

## python-pgq 3.7.1

=== Makefile ===

VERSION = $(shell python3 setup.py --version)
RXVERSION = $(shell python3 setup.py --version | sed 's/\./[.]/g')
TAG = v$(VERSION)
NEWS = NEWS.rst

all:

clean:
	rm -rf build *.egg-info */__pycache__ tests/*.pyc
	rm -rf .pybuild MANIFEST

xlint:
	tox -e xlint

xclean: clean
	rm -rf .tox dist

test:
	TEST_DB_NAME=testdb TEST_Q_NAME=testq PGHOST=/tmp PGPORT=5120 tox -e py38

checkver:
	@echo "Checking version"
	@grep -q '^pgq $(RXVERSION)\b' $(NEWS) \
	|| { echo "Version '$(VERSION)' not in $(NEWS)"; exit 1; }
	@echo "Checking git repo"
	@git diff --stat --exit-code || { echo "ERROR: Unclean repo"; exit 1; }

release: checkver
	git tag $(TAG)
	git push github $(TAG):$(TAG)

unrelease:
	git push github :$(TAG)
	git tag -d $(TAG)

shownote:
	awk -v VER="$(VERSION)" -f etc/note.awk $(NEWS) \
	| pandoc -f rst -t gfm --wrap=none

=== debian/changelog ===
python-pgq (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * Add myself to Uploaders, remove Christoph Berg (Closes: #992936).
  * Add debian/gbp.conf.
  * Remove unnecessary Lintian overrides.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 03 Jan 2023 15:25:48 +0100

python-pgq (3.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Contact, Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set field Upstream-Contact in debian/copyright.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Christoph Berg <myon@debian.org>  Sat, 17 Dec 2022 16:04:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Standards-Version: 4.5.0
+Uploaders: Tomasz Rybak <serpent@debian.org>
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

=== debian/watch ===
version=4
https://github.com/pgq/python-pgq/tags .*/v([^/]*).tar.gz

## python-pgq 3.8

=== Makefile ===
--- 
+++ 
@@ -10,14 +10,20 @@
 	rm -rf build *.egg-info */__pycache__ tests/*.pyc
 	rm -rf .pybuild MANIFEST
 
+lint:
+	tox -q -e lint
+
 xlint:
-	tox -e xlint
+	tox -q -e xlint
 
 xclean: clean
 	rm -rf .tox dist
 
+sdist:
+	python3 setup.py -q sdist
+
 test:
-	TEST_DB_NAME=testdb TEST_Q_NAME=testq PGHOST=/tmp PGPORT=5120 tox -e py38
+	PGDATABASE=testdb TEST_Q_NAME=testq PGHOST=/tmp PGPORT=5120 tox -e py38
 
 checkver:
 	@echo "Checking version"

=== debian/changelog ===
python-pgq (3.8-1.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Dec 2023 22:28:55 +0100

python-pgq (3.8-1) unstable; urgency=medium

  * New upstream version 3.8
  * PEP-517: add pybuild-plugin-pyproject to build dependencies.
  * Update standards version to 4.6.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 04 Dec 2023 22:28:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Tomasz Rybak <serpent@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-psycopg2,
  python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-skytools,
 Vcs-Git: https://salsa.debian.org/postgresql/python-pgq.git
 Vcs-Browser: https://salsa.debian.org/postgresql/python-pgq
